test: _KINTERRUPT struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _KINTERRUPT Struct Reference

`#include <ke.h>`

List of all members.

## Public Attributes

CSHORT | Type
CSHORT | Size
LIST_ENTRY | InterruptListEntry
PKSERVICE_ROUTINE | ServiceRoutine
PVOID | ServiceContext
KSPIN_LOCK | SpinLock
ULONG | Spare1
PKSPIN_LOCK | ActualLock
PKINTERRUPT_ROUTINE | DispatchAddress
ULONG | Vector
KIRQL | Irql
KIRQL | SynchronizeIrql
BOOLEAN | FloatingSave
BOOLEAN | Connected
CCHAR | Number
BOOLEAN | ShareVector
KINTERRUPT_MODE | Mode
ULONG | ServiceCount
ULONG | Spare3
ULONG | DispatchCode [DISPATCH_LENGTH]

## Member Data Documentation

PKSPIN_LOCK _KINTERRUPT::ActualLock

| Definition at line 462 of file ke.h.

BOOLEAN _KINTERRUPT::Connected

| Definition at line 468 of file ke.h.

PKINTERRUPT_ROUTINE _KINTERRUPT::DispatchAddress

| Definition at line 463 of file ke.h. Referenced by KeConnectInterrupt(), and KeDisconnectInterrupt().

ULONG _KINTERRUPT::DispatchCode[DISPATCH_LENGTH]

| Definition at line 474 of file ke.h. Referenced by KeConnectInterrupt(), and KeDisconnectInterrupt().

BOOLEAN _KINTERRUPT::FloatingSave

| Definition at line 467 of file ke.h. Referenced by KeDisconnectInterrupt().

LIST_ENTRY _KINTERRUPT::InterruptListEntry

| Definition at line 457 of file ke.h. Referenced by KeConnectInterrupt(), and KeDisconnectInterrupt().

KIRQL _KINTERRUPT::Irql

| Definition at line 465 of file ke.h. Referenced by KeDisconnectInterrupt().

KINTERRUPT_MODE _KINTERRUPT::Mode

| Definition at line 471 of file ke.h. Referenced by KeConnectInterrupt().

CCHAR _KINTERRUPT::Number

| Definition at line 469 of file ke.h.

PVOID _KINTERRUPT::ServiceContext

| Definition at line 459 of file ke.h.

ULONG _KINTERRUPT::ServiceCount

| Definition at line 472 of file ke.h.

PKSERVICE_ROUTINE _KINTERRUPT::ServiceRoutine

| Definition at line 458 of file ke.h.

BOOLEAN _KINTERRUPT::ShareVector

| Definition at line 470 of file ke.h. Referenced by KeConnectInterrupt().

CSHORT _KINTERRUPT::Size

| Definition at line 456 of file ke.h.

ULONG _KINTERRUPT::Spare1

| Definition at line 461 of file ke.h.

ULONG _KINTERRUPT::Spare3

| Definition at line 473 of file ke.h.

KSPIN_LOCK _KINTERRUPT::SpinLock

| Definition at line 460 of file ke.h.

KIRQL _KINTERRUPT::SynchronizeIrql

| Definition at line 466 of file ke.h. Referenced by KeDisconnectInterrupt().

CSHORT _KINTERRUPT::Type

| Definition at line 455 of file ke.h.

ULONG _KINTERRUPT::Vector

| Definition at line 464 of file ke.h.

The documentation for this struct was generated from the following file:

- ke.h